summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2020-04-27 23:45:55 -0700
committerMatt Turner <mattst88@gentoo.org>2020-04-28 09:38:16 -0700
commitb5f213a353266a5a4cd501c8177ed643db591555 (patch)
treed596c060f46c578f8c7dd3a87f3478d11fc88f87 /dev-cpp/mm-common/mm-common-1.0.0.ebuild
parentsys-process/systemd-cron-1.5.14: x86 stable, bug 719880 (diff)
downloadgentoo-b5f213a353266a5a4cd501c8177ed643db591555.tar.gz
gentoo-b5f213a353266a5a4cd501c8177ed643db591555.tar.bz2
gentoo-b5f213a353266a5a4cd501c8177ed643db591555.zip
dev-cpp/mm-common: Version bump to 1.0.0
Signed-off-by: Matt Turner <mattst88@gentoo.org>
Diffstat (limited to 'dev-cpp/mm-common/mm-common-1.0.0.ebuild')
-rw-r--r--dev-cpp/mm-common/mm-common-1.0.0.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-cpp/mm-common/mm-common-1.0.0.ebuild b/dev-cpp/mm-common/mm-common-1.0.0.ebuild
new file mode 100644
index 00000000000..fd9115ced9e
--- /dev/null
+++ b/dev-cpp/mm-common/mm-common-1.0.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit gnome.org meson
+
+DESCRIPTION="Build infrastructure and utilities for GNOME C++ bindings"
+HOMEPAGE="https://www.gtkmm.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+src_prepare() {
+ default
+
+ # Include project version in docdir name
+ sed -i -e "s:^install_docdir.*:& + '-' + meson.project_version():" meson.build || die
+}